﻿using System;
using System.Collections.Generic;
using System.Globalization;
using SmartStore.Services.Installation;

namespace SmartStore.Web.Infrastructure.Installation
{
    /// <summary>
    /// Localization service for installation process
    /// </summary>
    public partial interface IInstallationLocalizationService
    {
        string GetResource(string resourceName);

        InstallationLanguage GetCurrentLanguage();

        void SaveCurrentLanguage(string languageCode);

        IList<InstallationLanguage> GetAvailableLanguages();

        // codehint: sm-add
        IEnumerable<InstallationAppLanguageMetadata> GetAvailableAppLanguages();
        Lazy<InvariantInstallationData, InstallationAppLanguageMetadata> GetAppLanguage(string culture);
    }
}
